#
# Spec-file for Purp 
#

Summary:  A ncurses-based RPM-manager
Name:  purp
Version:  1.1.0
Release:  1rpm4.0.3
Copyright:  GPL
Group:  Utilities/System
Source:  ftp://ftp.lysator.liu.se/pub/unix/purp/purp-1.1.0/purp-1.1.0.tar.gz
Patch: purp-1.1.0-1rpm4.0.3.patch
URL:  http://www.lysator.liu.se/purp/
Packager:  Anders Karlsson <pugo@pugo.org>
BuildRoot: /var/tmp/purp


%description
Purp is a ncurses-based RPM-manager that provides a fast and powerful
way to navigate, install, upgrade and uninstall RPM-packages on text 
terminal devices. 

%prep
%setup
%patch -p1
%build
autoconf
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin 
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/etc
make "BUILDROOT=$RPM_BUILD_ROOT" install

%files
%doc COPYING
%doc README
%doc INSTALL
%doc CHANGES
%attr(755,root,root) /usr/bin/purp
%config /etc/purprc
/usr/share/man/man8/purp.8.gz

%changelog
* Sun Sep 02 2001 Levi Khatskevitch <LKhatskevitch@hotmail.com>
- patch added to make compatible with librpm-4.0.3 (release 1rpm4.0.3)
